Class | Bio::PhyloXML::Tree
In: | lib/bio/db/phyloxml/phyloxml_elements.rb
Parent: | Bio::Tree

Object to hold one phylogeny element (and its subelements.) Extended version of Bio::Tree.

### Methods

new

### Attributes

branch_length_unit | [RW] | String.
clade_relations | [RW] | CladeRelation object. This is used to express a typed relationship between two clades. For example it could be used to describe multiple parents of a clade.
confidences | [RW] | Array of confidence object
date | [RW] | String. Date
description | [RW] | String. Description of tree.
name | [RW] | String. Name of tree (name subelement of phylogeny element).
other | [RW] | Array of Other objects. Used to save additional information from other than PhyloXML namspace.
phylogeny_id | [RW] | Id object.
properties | [RW] | Array of Property object. Allows for typed and referenced properties from external resources to be attached.
rerootable | [RW] | Boolean. Can be used to indicate that the phylogeny is not allowed to be rooted differently (i.e. because it is associated with root dependent data, such as gene duplications).
rooted | [RW] | Boolean. Required element.
sequence_relations | [RW] | SequenceRelation object. This is used to express a typed relationship between two sequences. For example it could be used to describe an orthology.
type | [RW] | String. Indicate the type of phylogeny (i.e. ‘gene tree’).

### Public Class methods

new()

[Source]

         # File lib/bio/db/phyloxml/phyloxml_elements.rb, line 155
    155:    def initialize
    156:      super
    157:      @sequence_relations = []
    158:      @clade_relations = []
    159:      @confidences = []
    160:      @properties = []
    161:      @other = []
    162:    end

[Validate]